# Uses of Class co.aikar.commands.RegisteredCommand (ACF (Core) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands, class: RegisteredCommand

# Uses of Class
co.aikar.commands.RegisteredCommand

Packages that use RegisteredCommand
Package
Description
co.aikar.commands

## Uses of RegisteredCommand in co.aikar.commands

Methods in co.aikar.commands that return RegisteredCommand
Modifier and Type
Method
Description
`RegisteredCommand`
CommandManager.`createRegisteredCommand(BaseCommand command, String cmdName, Method method, String prefSubCommand)`
`RegisteredCommand`
CommandExecutionContext.`getCmd()`
`RegisteredCommand`
BaseCommand.`getDefaultRegisteredCommand()`
`default RegisteredCommand`
RootCommand.`getDefaultRegisteredCommand()`
`RegisteredCommand`
CommandOperationContext.`getRegisteredCommand()`
Methods in co.aikar.commands that return types with arguments of type RegisteredCommand
Modifier and Type
Method
Description
`List<RegisteredCommand>`
BaseCommand.`getRegisteredCommands()`
`List<RegisteredCommand>`
ForwardingCommand.`getRegisteredCommands()`
`protected com.google.common.collect.SetMultimap<String,RegisteredCommand>`
BaseCommand.`getSubCommands()`
`com.google.common.collect.SetMultimap<String,RegisteredCommand>`
RootCommand.`getSubCommands()`
Methods in co.aikar.commands with parameters of type RegisteredCommand
Modifier and Type
Method
Description
`boolean`
BaseCommand.`canExecute(CommandIssuer issuer, RegisteredCommand<?> cmd)`
Deprecated.
See `CommandConditions`
`abstract CommandExecutionContext`
CommandManager.`createCommandContext(RegisteredCommand command, CommandParameter parameter, CommandIssuer sender, List<String> args, int i, Map<String,Object> passedArgs)`
`abstract CommandCompletionContext`
CommandManager.`createCompletionContext(RegisteredCommand command, CommandIssuer sender, String input, String config, String[] args)`
`boolean`
ExceptionHandler.`execute(BaseCommand command, RegisteredCommand registeredCommand, CommandIssuer sender, List<String> args, Throwable t)`
Called when an exception occurs while executing a command
If an exception handler properly handles an exception, the user will not be noticied by the framework that something went unexceptected.
`protected boolean`
CommandManager.`handleUncaughtException(BaseCommand scope, RegisteredCommand registeredCommand, CommandIssuer sender, List<String> args, Throwable t)`
`default void`
AnnotationProcessor.`onCommandRegistered(RegisteredCommand command, T annotation)`
Deprecated.
`default void`
AnnotationProcessor.`onParameterRegistered(RegisteredCommand command, int parameterIndex, Parameter p, T annotation)`
Deprecated.
`void`
CommandOperationContext.`setRegisteredCommand(RegisteredCommand registeredCommand)`
`void`
BaseCommand.`showSyntax(CommandIssuer issuer, RegisteredCommand<?> cmd)`
Method parameters in co.aikar.commands with type arguments of type RegisteredCommand
Modifier and Type
Method
Description
`default void`
RootCommand.`addChildShared(List<BaseCommand> children, com.google.common.collect.SetMultimap<String,RegisteredCommand> subCommands, BaseCommand command)`
Constructors in co.aikar.commands with parameters of type RegisteredCommand
Modifier
Constructor
Description
``
`CommandParameter(RegisteredCommand<CEC> command, Parameter param, int paramIndex, boolean isLast)`